Class HTTPSHealthCheck.Builder (1.91.0)

public static final class HTTPSHealthCheck.Builder extends GeneratedMessageV3.Builder<HTTPSHealthCheck.Builder> implements HTTPSHealthCheckOrBuilder

Protobuf type google.cloud.compute.v1.HTTPSHealthCheck

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addRepeatedField(Descriptors.FieldDescriptor field, Object value)

public HTTPSHealthCheck.Builder addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Parameters
Name Description
field FieldDescriptor
value Object
Returns
Type Description
HTTPSHealthCheck.Builder
Overrides

build()

public HTTPSHealthCheck build()
Returns
Type Description
HTTPSHealthCheck

buildPartial()

public HTTPSHealthCheck buildPartial()
Returns
Type Description
HTTPSHealthCheck

clear()

public HTTPSHealthCheck.Builder clear()
Returns
Type Description
HTTPSHealthCheck.Builder
Overrides

clearField(Descriptors.FieldDescriptor field)

public HTTPSHealthCheck.Builder clearField(Descriptors.FieldDescriptor field)
Parameter
Name Description
field FieldDescriptor
Returns
Type Description
HTTPSHealthCheck.Builder
Overrides

clearHost()

public HTTPSHealthCheck.Builder clearHost()

The value of the host header in the HTTPS health check request. If left empty (default value), the host header is set to the destination IP address to which health check packets are sent. The destination IP address depends on the type of load balancer. For details, see: https://cloud.google.com/load-balancing/docs/health-check-concepts#hc-packet-dest

optional string host = 3208616;

Returns
Type Description
HTTPSHealthCheck.Builder

This builder for chaining.

clearOneof(Descriptors.OneofDescriptor oneof)

public HTTPSHealthCheck.Builder clearOneof(Descriptors.OneofDescriptor oneof)
Parameter
Name Description
oneof OneofDescriptor
Returns
Type Description
HTTPSHealthCheck.Builder
Overrides

clearPort()

public HTTPSHealthCheck.Builder clearPort()

The TCP port number to which the health check prober sends packets. The default value is 443. Valid values are 1 through65535.

optional int32 port = 3446913;

Returns
Type Description
HTTPSHealthCheck.Builder

This builder for chaining.

clearPortName()

public HTTPSHealthCheck.Builder clearPortName()

Not supported.

optional string port_name = 41534345;

Returns
Type Description
HTTPSHealthCheck.Builder

This builder for chaining.

clearPortSpecification()

public HTTPSHealthCheck.Builder clearPortSpecification()

Specifies how a port is selected for health checking. Can be one of the following values: USE_FIXED_PORT: Specifies a port number explicitly using theport field in the health check. Supported by backend services for passthrough load balancers and backend services for proxy load balancers. Not supported by target pools. The health check supports all backends supported by the backend service provided the backend can be health checked. For example, GCE_VM_IP network endpoint groups, GCE_VM_IP_PORT network endpoint groups, and instance group backends. USE_NAMED_PORT: Not supported. USE_SERVING_PORT: Provides an indirect method of specifying the health check port by referring to the backend service. Only supported by backend services for proxy load balancers. Not supported by target pools. Not supported by backend services for passthrough load balancers. Supports all backends that can be health checked; for example,GCE_VM_IP_PORT network endpoint groups and instance group backends.

For GCE_VM_IP_PORT network endpoint group backends, the health check uses the port number specified for each endpoint in the network endpoint group. For instance group backends, the health check uses the port number determined by looking up the backend service's named port in the instance group's list of named ports. Check the PortSpecification enum for the list of possible values.

optional string port_specification = 51590597;

Returns
Type Description
HTTPSHealthCheck.Builder

This builder for chaining.

clearProxyHeader()

public HTTPSHealthCheck.Builder clearProxyHeader()

Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE. Check the ProxyHeader enum for the list of possible values.

optional string proxy_header = 160374142;

Returns
Type Description
HTTPSHealthCheck.Builder

This builder for chaining.

clearRequestPath()

public HTTPSHealthCheck.Builder clearRequestPath()

The request path of the HTTPS health check request. The default value is/. Must comply withRFC3986.

optional string request_path = 229403605;

Returns
Type Description
HTTPSHealthCheck.Builder

This builder for chaining.

clearResponse()

public HTTPSHealthCheck.Builder clearResponse()

Creates a content-based HTTPS health check. In addition to the required HTTP 200 (OK) status code, you can configure the health check to pass only when the backend sends this specific ASCII response string within the first 1024 bytes of the HTTP response body. For details, see: https://cloud.google.com/load-balancing/docs/health-check-concepts#criteria-protocol-http

optional string response = 196547649;

Returns
Type Description
HTTPSHealthCheck.Builder

This builder for chaining.

clone()

public HTTPSHealthCheck.Builder clone()
Returns
Type Description
HTTPSHealthCheck.Builder
Overrides

getDefaultInstanceForType()

public HTTPSHealthCheck getDefaultInstanceForType()
Returns
Type Description
HTTPSHealthCheck

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getHost()

public String getHost()

The value of the host header in the HTTPS health check request. If left empty (default value), the host header is set to the destination IP address to which health check packets are sent. The destination IP address depends on the type of load balancer. For details, see: https://cloud.google.com/load-balancing/docs/health-check-concepts#hc-packet-dest

optional string host = 3208616;

Returns
Type Description
String

The host.

getHostBytes()

public ByteString getHostBytes()

The value of the host header in the HTTPS health check request. If left empty (default value), the host header is set to the destination IP address to which health check packets are sent. The destination IP address depends on the type of load balancer. For details, see: https://cloud.google.com/load-balancing/docs/health-check-concepts#hc-packet-dest

optional string host = 3208616;

Returns
Type Description
ByteString

The bytes for host.

getPort()

public int getPort()

The TCP port number to which the health check prober sends packets. The default value is 443. Valid values are 1 through65535.

optional int32 port = 3446913;

Returns
Type Description
int

The port.

getPortName()

public String getPortName()

Not supported.

optional string port_name = 41534345;

Returns
Type Description
String

The portName.

getPortNameBytes()

public ByteString getPortNameBytes()

Not supported.

optional string port_name = 41534345;

Returns
Type Description
ByteString

The bytes for portName.

getPortSpecification()

public String getPortSpecification()

Specifies how a port is selected for health checking. Can be one of the following values: USE_FIXED_PORT: Specifies a port number explicitly using theport field in the health check. Supported by backend services for passthrough load balancers and backend services for proxy load balancers. Not supported by target pools. The health check supports all backends supported by the backend service provided the backend can be health checked. For example, GCE_VM_IP network endpoint groups, GCE_VM_IP_PORT network endpoint groups, and instance group backends. USE_NAMED_PORT: Not supported. USE_SERVING_PORT: Provides an indirect method of specifying the health check port by referring to the backend service. Only supported by backend services for proxy load balancers. Not supported by target pools. Not supported by backend services for passthrough load balancers. Supports all backends that can be health checked; for example,GCE_VM_IP_PORT network endpoint groups and instance group backends.

For GCE_VM_IP_PORT network endpoint group backends, the health check uses the port number specified for each endpoint in the network endpoint group. For instance group backends, the health check uses the port number determined by looking up the backend service's named port in the instance group's list of named ports. Check the PortSpecification enum for the list of possible values.

optional string port_specification = 51590597;

Returns
Type Description
String

The portSpecification.

getPortSpecificationBytes()

public ByteString getPortSpecificationBytes()

Specifies how a port is selected for health checking. Can be one of the following values: USE_FIXED_PORT: Specifies a port number explicitly using theport field in the health check. Supported by backend services for passthrough load balancers and backend services for proxy load balancers. Not supported by target pools. The health check supports all backends supported by the backend service provided the backend can be health checked. For example, GCE_VM_IP network endpoint groups, GCE_VM_IP_PORT network endpoint groups, and instance group backends. USE_NAMED_PORT: Not supported. USE_SERVING_PORT: Provides an indirect method of specifying the health check port by referring to the backend service. Only supported by backend services for proxy load balancers. Not supported by target pools. Not supported by backend services for passthrough load balancers. Supports all backends that can be health checked; for example,GCE_VM_IP_PORT network endpoint groups and instance group backends.

For GCE_VM_IP_PORT network endpoint group backends, the health check uses the port number specified for each endpoint in the network endpoint group. For instance group backends, the health check uses the port number determined by looking up the backend service's named port in the instance group's list of named ports. Check the PortSpecification enum for the list of possible values.

optional string port_specification = 51590597;

Returns
Type Description
ByteString

The bytes for portSpecification.

getProxyHeader()

public String getProxyHeader()

Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE. Check the ProxyHeader enum for the list of possible values.

optional string proxy_header = 160374142;

Returns
Type Description
String

The proxyHeader.

getProxyHeaderBytes()

public ByteString getProxyHeaderBytes()

Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE. Check the ProxyHeader enum for the list of possible values.

optional string proxy_header = 160374142;

Returns
Type Description
ByteString

The bytes for proxyHeader.

getRequestPath()

public String getRequestPath()

The request path of the HTTPS health check request. The default value is/. Must comply withRFC3986.

optional string request_path = 229403605;

Returns
Type Description
String

The requestPath.

getRequestPathBytes()

public ByteString getRequestPathBytes()

The request path of the HTTPS health check request. The default value is/. Must comply withRFC3986.

optional string request_path = 229403605;

Returns
Type Description
ByteString

The bytes for requestPath.

getResponse()

public String getResponse()

Creates a content-based HTTPS health check. In addition to the required HTTP 200 (OK) status code, you can configure the health check to pass only when the backend sends this specific ASCII response string within the first 1024 bytes of the HTTP response body. For details, see: https://cloud.google.com/load-balancing/docs/health-check-concepts#criteria-protocol-http

optional string response = 196547649;

Returns
Type Description
String

The response.

getResponseBytes()

public ByteString getResponseBytes()

Creates a content-based HTTPS health check. In addition to the required HTTP 200 (OK) status code, you can configure the health check to pass only when the backend sends this specific ASCII response string within the first 1024 bytes of the HTTP response body. For details, see: https://cloud.google.com/load-balancing/docs/health-check-concepts#criteria-protocol-http

optional string response = 196547649;

Returns
Type Description
ByteString

The bytes for response.

hasHost()

public boolean hasHost()

The value of the host header in the HTTPS health check request. If left empty (default value), the host header is set to the destination IP address to which health check packets are sent. The destination IP address depends on the type of load balancer. For details, see: https://cloud.google.com/load-balancing/docs/health-check-concepts#hc-packet-dest

optional string host = 3208616;

Returns
Type Description
boolean

Whether the host field is set.

hasPort()